<template>
  <div class="hello">
    <Child1
      :str="str"
      :type='type'
      :is-visible="isVisible"
      :on-change="handlePropChange"        
      :arr=[22,33,44]
      title="title属性"
      class="test1"
      :class="['test2']"
      :style="{ marginTop: '20px' }"
      style="margin-top: 10px"
    ></Child1>
    <p>......................................</p>

    <Child2
      :change="change"
    ></Child2>

    <p>......................................</p>
    <div>
      <Child3 :show.sync="show" :msg.sync="msg" :syncArr="syncArr">
      </Child3>
      <div>
        <p>父组件msg：{{ msg }}</p> 
        <p>父组件数组：{{ syncArr }}</p>
      </div>
      <button @click="show = true">打开Module框</button>
    </div>

    <p>......................................</p>
    {{obj.objMsg}}
    <Child4 :obj="obj"></Child4>
  </div>
</template>

<script>
import Child1 from './Child1'
import Child2 from './Child2'
import Child3 from './Child3'
import Child4 from './Child4'
export default {
  name: 'Parent',
  data () {
    return {
      type:'success',
      str:'Child1',
      isVisible:true,
      arr: [1, 2, 3],
      change:'Child2',
      show:false,
      msg: "Msg",
      syncArr:[1, 2, 3],
      obj:{
        objMsg:'包装对象传递！'
      }
    }
  },
  components:{
    Child1,
    Child2,
    Child3,
    Child4
  },
  created () {
    
  },
  methods: {
    handlePropChange(){
      console.log('父组件函数！');
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.test1{
  background:red;
}
.test2{
  background:pink;
}
</style>
